# Uses of Class
org.eclipse.emf.cdo.common.model.CDOClassifierRef

Packages that use CDOClassifierRef
Package
Description
org.eclipse.emf.cdo.common.id
Common concepts for dealing with object and revision IDs.
org.eclipse.emf.cdo.common.model
Common concepts for dealing with models and types.
org.eclipse.emf.cdo.common.protocol
Common concepts for dealing with protocols and CDO-specific I/O.
org.eclipse.emf.cdo.etypes.impl
The generated EMF implementation of the CDO system data types and native annotations.
org.eclipse.emf.cdo.etypes.util
The generated EMF utilities of the CDO system data types and native annotations.
org.eclipse.emf.cdo.server.db.mapping
Server concepts for dealing with mapping strategies and mappings for classes, lists and types.
org.eclipse.emf.cdo.spi.common.protocol
Common base implementations for dealing with I/O of CDO data structures.

## Uses of CDOClassifierRef in org.eclipse.emf.cdo.common.id

Methods in org.eclipse.emf.cdo.common.id that return CDOClassifierRef
Modifier and Type
Method
Description
`static CDOClassifierRef`
CDOIDUtil.`getClassifierRef(CDOID id)`
Methods in org.eclipse.emf.cdo.common.id with parameters of type CDOClassifierRef
Modifier and Type
Method
Description
`static CDOID`
CDOIDUtil.`createLongWithClassifier(long value, CDOClassifierRef classifierRef)`
`static CDOID`
CDOIDUtil.`createLongWithClassifier(CDOClassifierRef classifierRef, long value)`
Deprecated.
As of 4.2 use `CDOIDUtil.createLongWithClassifier(long, CDOClassifierRef)`.
`static CDOID`
CDOIDUtil.`createStringWithClassifier(String value, CDOClassifierRef classifierRef)`
`static CDOID`
CDOIDUtil.`createStringWithClassifier(CDOClassifierRef classifierRef, String value)`
Deprecated.
As of 4.2 use `CDOIDUtil.createStringWithClassifier(String, CDOClassifierRef)`.

## Uses of CDOClassifierRef in org.eclipse.emf.cdo.common.model

Methods in org.eclipse.emf.cdo.common.model that return CDOClassifierRef
Modifier and Type
Method
Description
`CDOClassifierRef`
CDOClassifierRef.Provider.`getClassifierRef()`

## Uses of CDOClassifierRef in org.eclipse.emf.cdo.common.protocol

Methods in org.eclipse.emf.cdo.common.protocol that return CDOClassifierRef
Modifier and Type
Method
Description
`CDOClassifierRef`
CDODataInput.`readCDOClassifierRef()`
Methods in org.eclipse.emf.cdo.common.protocol with parameters of type CDOClassifierRef
Modifier and Type
Method
Description
`void`
CDODataOutput.`writeCDOClassifierRef(CDOClassifierRef eClassifierRef)`

## Uses of CDOClassifierRef in org.eclipse.emf.cdo.etypes.impl

Methods in org.eclipse.emf.cdo.etypes.impl that return CDOClassifierRef
Modifier and Type
Method
Description
`CDOClassifierRef`
EtypesFactoryImpl.`createClassifierRefFromString(EDataType eDataType, String initialValue)`

## Uses of CDOClassifierRef in org.eclipse.emf.cdo.etypes.util

Methods in org.eclipse.emf.cdo.etypes.util with parameters of type CDOClassifierRef
Modifier and Type
Method
Description
`boolean`
EtypesValidator.`validateClassifierRef(CDOClassifierRef classifierRef, DiagnosticChain diagnostics, Map<Object,Object> context)`

## Uses of CDOClassifierRef in org.eclipse.emf.cdo.server.db.mapping

Methods in org.eclipse.emf.cdo.server.db.mapping that return CDOClassifierRef
Modifier and Type
Method
Description
`CDOClassifierRef`
IMappingStrategy.`readObjectType(IDBStoreAccessor accessor, CDOID id)`
Read the type (i.e.

## Uses of CDOClassifierRef in org.eclipse.emf.cdo.spi.common.protocol

Methods in org.eclipse.emf.cdo.spi.common.protocol that return CDOClassifierRef
Modifier and Type
Method
Description
`CDOClassifierRef`
CDODataInputImpl.`readCDOClassifierRef()`
Methods in org.eclipse.emf.cdo.spi.common.protocol with parameters of type CDOClassifierRef
Modifier and Type
Method
Description
`void`
CDODataOutputImpl.`writeCDOClassifierRef(CDOClassifierRef eClassifierRef)`